Bug 113781 - Printer configuration is lost upon reboot
Summary: Printer configuration is lost upon reboot
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-17 21:38 UTC by Ben Hsu
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-20 17:31:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of printconf-tui --Xexport (2.84 KB, text/plain)
2004-01-20 15:43 UTC, Ben Hsu
no flags Details

Description Ben Hsu 2004-01-17 21:38:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
I recently purchased an HP Business Inkjet 1100. I configured it with
printconf-gui

Each time I reboot the printer configuration is lost. The following
symptoms occur:
 - Hitting "Print" from an application would do nothing
 - when I run the "Print Manager" program, it gives the "No printers
found, run configuration tool?" message box
 - upon answering yes to the above question, the printer configuration
tool shows my printer selected as default. However, I would need to
select the printer, "Edit" it, exit out of the "Edit" screen, "Apply"
the changes, and exit printer configuration. Then printing works
normally until my next reboot.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. reboot machine
2. try to print
3.
    

Actual Results:  printer does nothing

Expected Results:  printer does work

Additional info:

Comment 1 Tim Waugh 2004-01-19 14:46:49 UTC
Please do this, as root:

ls -l /var/spool/alchemist/printconf.local

and show me what it says.  Thanks.

Comment 2 Ben Hsu 2004-01-19 17:24:03 UTC
There is no alchemist directory in /var/spool. This is true both
before and after reconfiguring the printer. 

"rpm -qa|grep alchemist" says I have alchemist 1.0.27-3 installed

thanks

Comment 3 Tim Waugh 2004-01-19 17:25:32 UTC
Sorry, try this:

ls -l /var/cache/alchemist/printconf.local

Comment 4 Ben Hsu 2004-01-19 17:51:22 UTC
[root]# ls -l /var/cache/alchemist/printconf.local/
total 24
-rw-------    1 root     root          739 Jan 11 10:39 3ffe235a
-rw-------    1 root     root          760 Jan 13 23:22 4001989d
-rw-------    1 root     root          755 Jan 17 13:39 4004ee6e
-rw-------    1 root     root          759 Jan 19 09:25 4009abb3
-rw-------    1 root     root          755 Jan 19 09:25 400c130c
drwx------    2 root     root         4096 Mar 26  2003 wm

This is after reconfiguration. 

Comment 5 Tim Waugh 2004-01-19 18:17:55 UTC
Okay, those are all large enough to contain complete configuration states.

When was the last time the configuration was lost?  When the
configuration is lost, what does 'printconf-tui --Xexport' say?

Comment 6 Ben Hsu 2004-01-20 15:43:16 UTC
Created attachment 97126 [details]
output of printconf-tui --Xexport

Comment 7 Ben Hsu 2004-01-20 15:54:42 UTC
I ran the command again after reconfiguring my printer, and...

[benhsu]$ diff printconf.out printconf-bad.out
3c3
<   <id NAME="local" SERIAL="1074613677">
---
>   <id NAME="local" SERIAL="1074533132">
21,22d20
<               <send_FF TYPE="BOOL" VALUE="FALSE"/>
<               <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
23a22,23
>               <convert_text_to_Postscript TYPE="BOOL" VALUE="TRUE"/>
>               <send_FF TYPE="BOOL" VALUE="FALSE"/>


Comment 8 Tim Waugh 2004-01-20 16:12:32 UTC
Please explain: at the moment that you did 'printconf-tui --Xexport',
was printing working or not?

What was the purpose of reconfiguring, and what effect did it have?

Comment 9 Ben Hsu 2004-01-20 16:30:18 UTC
At the moment I generated the attachment, printing was not working.

After reconfiguring (no changes were made, all I did was open the
printer and save again) printing works. I then ran printconf-tui
--Xexport again and generated the above diff.

Comment 10 Tim Waugh 2004-01-20 16:37:36 UTC
I don't think that the diff is relevant -- it seems like it can't make
any real difference.

What does 'chkconfig --list cups' say?

Comment 11 Ben Hsu 2004-01-20 17:31:06 UTC
It was off
Turning cups on fixed it
Thank you!


Note You need to log in before you can comment on or make changes to this bug.